Ubuntu

FFe: Update clutter/cogl to 1.9

Reported by Jeremy Bicha on 2012-02-26
84
This bug affects 14 people
Affects Status Importance Assigned to Milestone
clutter-1.0 (Ubuntu)
Wishlist
Jeremy Bicha

Bug Description

The 1.9 clutter/cogl series is required to get GNOME Shell into Ubuntu 12.04 and is also needed if we want newer versions of eog-plugins or gnome-color-manager. This is the series targeted by GNOME 3.4. The stack has already gotten a fair amount of testing by being part of the GNOME 3 and Ricotz' PPAs for a few months.

Cogl's soname has been bumped from 5 to 9 so its reverse-depends will need a rebuild.
The clutter developers have committed to freezing the cogl API with 1.9.8 so we shouldn't need another rebuild after this for Precise.
http://lists.clutter-project.org/pipermail/clutter-devel-list/2012-March/000359.html

I've already tested gnome-shell/mutter, cheese, and gnome-games which build and run fine with the new versions.

http://git.gnome.org/browse/clutter/tree/NEWS
http://git.gnome.org/browse/clutter-gst/tree/NEWS
http://git.gnome.org/browse/clutter-gtk/tree/NEWS
http://git.gnome.org/browse/cogl/tree/NEWS
http://git.gnome.org/browse/libchamplain/tree/NEWS?h=libchamplain-0-12
- fixes build with latest cogl/vala

Build logs
==========
clutter 1.9.14: https://launchpad.net/~gnome3-team/+archive/gnome3/+build/3262929
clutter-gst 1.5.4 https://launchpad.net/~gnome3-team/+archive/gnome3/+build/3279054
clutter-gtk 1.1.2 https://launchpad.net/~gnome3-team/+archive/gnome3/+build/3279063
cogl 1.9.8: https://launchpad.net/~gnome3-team/+archive/gnome3/+build/3262801
libchamplain 0.12.2 https://launchpad.net/~gnome3-team/+archive/gnome3/+build/3278938

libclutter-1.0-0 Reverse-Depends
===============
* cheese
* clutter-1.0-tests
* emerillon
* empathy-call
* eog-plugins
* gir1.2-clutter-1.0
* gnibbles
* gnome-shell
* gnome-sushi
* ibus-clutter
* libchamplain-0.12-0
* libchamplain-gtk-0.12-0
* libcheese-gtk21
* libclutter-1.0-dbg
* libclutter-1.0-dev
* libclutter-cil
* libclutter-gst-1.0-0
* libclutter-gtk-0.10-0
* libclutter-gtk-1.0-0
* libclutter-imcontext-0.1-0
* libcluttergesture-0.0.2-0
* liblua5.1-gnome-0 [amd64 armel i386]
* libmutter0
* libmx-1.0-2
* libsushi-1.0-0
* lightsoff
* lyricue
* mutter
* pinpoint
* quadrapassel
* snappy
* toonloop

libcogl5 Reverse-Depends (needs rebuild)
===============
* clutter-1.0-tests
* emerillon
* empathy-call
* gir1.2-cogl-1.0
* gnome-shell
* libchamplain-0.12-0
* libcheese-gtk21
* libclutter-1.0-0
* libclutter-gst-1.0-0
* libclutter-gtk-0.10-0
* libclutter-gtk-1.0-0
* libcogl-dev
* libcogl-pango0
* libcogl5-dbg
* libmutter0
* libmx-1.0-2
* pinpoint
* toonloop

Related branches

Jeremy Bicha (jbicha) on 2012-02-26
description: updated
description: updated
Robert Roth (evfool) on 2012-02-26
Changed in clutter-1.0 (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in clutter-1.0 (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) on 2012-02-27
Changed in clutter-1.0 (Ubuntu):
status: Confirmed → New
Martin Pitt (pitti) wrote :

We don't use clutter in a default desktop install of Ubuntu/Kubuntu, so this is is relatively low-risk. It'll unblock delivering a full GNOME 3.4 desktop, so this looks fine.

Can you take care of the full transition? If you and Rico will sort this out, approved.

Thanks!

Changed in clutter-1.0 (Ubuntu):
status: New → In Progress
assignee: nobody → Jeremy Bicha (jbicha)
Rico Tzschichholz (ricotz) wrote :

I recommend looking into this transition for the next cogl release (1.9.8+) which will most likely include another soname bump. Cogl still contains some EXP-marked symbols which are supposed to be renamed/changed. So this would avoid doing another transition rebuild of all rdepends.

Micah Gersten (micahg) wrote :

Xubuntu will be dropping quadrapassel after beta 1, so we won't be affected by this

Jeremy Bicha (jbicha) wrote :

I won't be able to do the full transition since I don't have upload rights for a few of the libcogl rdepends that need to be rebuilt.

It looks like GNOME's next beta tarball deadline is next week so we'll just wait for that to get libcogl9.

Micah Gersten (micahg) wrote :

I can help with the rebuild if you test them first so that I don't run into spurious failures :)

Sebastien Bacher (seb128) wrote :

I didn't test it but there was a lot of refactoring in the backend side this cycle and that seems likely to bring issues, did somebody tested all non GNOME rdepends (champlain for example)? banshee (clutterflow)?

Other question: does updating it forces us to update gnome-shell? If it does we should look at the gnome-shell ffe as well because acking this one would tight our hands. How would the new gnome-shell deal with g-c-c and g-s-d reverting i.e the keybindings move to gsettings (since nobody worked on dual using gconf and gsettings as we discussed it earlier in the cycle)?

Note that I'm not in the release team so I don't have a say in the decision there but it seems an upgrade we should be careful about, especially if one month after feature freeze they are still not done with soname changes...

Ryan Lortie (desrt) wrote :

I think most gnome-shell users would prefer to have the new version vs. having properly working keybindings. Most people don't change them anyway. Also: it would be possible for us to modify the control centre to set both the keybinding settings in gsettings and gconf (or to instruct the gnome-shell users to just use the dconf-editor).

I'm running the new stuff on Fedora 17 and it all seems quite smooth...

Sebastien Bacher (seb128) wrote :

Well, seems the consensus seems to be that it would be nice to get the new gnome-shell, so somebody should probably start by checking that all clutter rdepends still build on 1.9, not all upstream keep up with unstable versions like GNOME ;-)

Jeremy Bicha (jbicha) wrote :

libchamplain doesn't build with the new cogl/clutter. I reported it upstream so I guess we'll need to wait until that gets resolved. https://bugzilla.gnome.org/show_bug.cgi?id=671807

Jeremy Bicha (jbicha) on 2012-03-12
description: updated
Jeremy Bicha (jbicha) wrote :

Ok, the libchamplain bug was fixed in today's new release.

I have tested the other libcogl rdepends: eog-plugins, emerillon & pinpoint build & seem to work fine. toonloop needs a simple patch to build without -Werror. I couldn't tell if toonloop would run ok because it seems to depend on JACK.

description: updated
Jeremy Bicha (jbicha) wrote :

I believe I'm ready for the release team to make a decision on this & bug 941755. I've done quite a bit of testing but the one thing I haven't tested is running gnome-shell 3.2 with clutter 1.9 so I think we want to do both together.

Changed in clutter-1.0 (Ubuntu):
status: In Progress → New
Sebastien Bacher (seb128) wrote :

did upstream stopped changing cogl sonames for this cycle? ricotz hinted recently there was still a change coming IIRC

Rico Tzschichholz (ricotz) wrote :

the actual break was fixed/reverted recently so they are targeting a cogl 1.9.10 without soname bump.

Jeremy Bicha (jbicha) wrote :

Seb, yes, I posted an email link in the bug description above where the clutter devs have committed to stop making API changes as of last week's cogl 1.9.8.

Iain Lane (laney) wrote :

If you have tested all reverse depends build with the new cogl or have a fix for those that need it, and you commit to seeing the transition through (incluing working with other developers for those packages which you do not have upload rights for) then I think this is something we should do to get the new gnome-shell in. Conditionally approved.

Changed in clutter-1.0 (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) wrote :

The new cogl fails to build on ARM so until we figure out how to fix that, I've stopped the transition.

Timo Kluck (tkluck) wrote :

I'm attaching what is probably the required patch. I'm currently setting up a cross-compile environment to verify. Then I'll make a debdiff.

Timo Kluck (tkluck) wrote :
Timo Kluck (tkluck) wrote :

I didn't manage to create the pbuilder-dist environment because of some missing public keys. I'll just attach the debdiff and hope that it is a helpful starting point for someone who knows how arm things work.

Hope this gets fixed. It would be great if gnome-shell 3.4 could make it into precise.

Alexander Fougner (fougner) wrote :

Upstream bug is fixed/resolved, can anyone confirm by rebuilding the package on arm with the patch applied?

Ryan Lortie (desrt) wrote :

I did a build of the source from the gnome3 PPA + the above patch on my i.MX quickstart board and it worked.

Jeremy Bicha (jbicha) wrote :

Thanks desrt & Timo, your patch worked and the new cogl built successfully on arm.

Dmitry Shachnev (mitya57) wrote :

I think we can close the task as clutter was actually updated to 1.9.

clutter-1.0 (1.9.14-0ubuntu2) precise; urgency=low

  * debian/patches/eglx_glx_share_same_soname.patch:
    - Disable for now as it breaks the ARM build
 -- Jeremy Bicha <e-mail address hidden> Wed, 14 Mar 2012 15:51:49 -0400

clutter-1.0 (1.9.14-0ubuntu1) precise; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.

  [ Rico Tzschichholz ]
  * Updated symbols
  * debian/control.in:
    - Bump minimum glib to 2.31.19 & cogl to 1.9.6
  * debian/rules: Explicitly enable the X11 backend
  * debian/patches/eglx_glx_share_same_soname.patch: Refreshed
 -- Jeremy Bicha <e-mail address hidden> Wed, 14 Mar 2012 09:00:36 -0400

Changed in clutter-1.0 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.